> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Complete redeem voucher request

POST https://api.brevo.com/v3/loyalty/offer/programs/{pid}/rewards/redeem/{tid}/complete

Completes voucher redeem request.

Reference: https://developers.brevo.com/reference/complete-redeem-transaction

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program ID
- `tid` (string, required) — Redeem transaction ID

## Response

### 200

Voucher Redeem completed

- `cancelledAt` (datetime, optional) — Timestamp when the redemption was cancelled
- `completedAt` (datetime, optional) — Timestamp when the redemption was completed
- `contactId` (long, optional) — Unique identifier for the contact
- `createdAt` (datetime, optional) — Timestamp when the redemption was created
- `debitTransactionId` (string, optional) — Unique identifier for the debit transaction
- `expiresAt` (datetime, optional) — Timestamp when the redemption expires
- `id` (string, optional) — Unique identifier for the redemption
- `loyaltyProgramId` (string, optional) — Unique identifier for the loyalty program
- `meta` (map from string to any, optional) — Additional metadata associated with the redemption
- `rejectReason` (string, optional) — Reason for rejection if the redemption was rejected
- `rejectedAt` (datetime, optional) — Timestamp when the redemption was rejected
- `rewardAttributionId` (string, optional) — Unique identifier for the reward attribution
- `status` (string, optional) — Current status of the redemption
- `updatedAt` (datetime, optional) — Timestamp when the redemption was last updated

## Errors

### 400 Bad Request Error

Bad Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 401 Unauthorized Error

Request Authentication Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 403 Forbidden Error

Cannot Authenticate Request

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 404 Not Found Error

Not Found

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 412 Precondition Failed Error

Precondition Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 417 Expectation Failed Error

Expectation Failed

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 422 Unprocessable Entity Error

Validation errors

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

### 500 Internal Server Error

Internal error occurred

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Response**

```json
{
  "cancelledAt": "2024-01-15T09:30:00Z",
  "completedAt": "2024-01-15T09:30:00Z",
  "contactId": 1,
  "createdAt": "2024-01-15T09:30:00Z",
  "debitTransactionId": "string",
  "expiresAt": "2024-01-15T09:30:00Z",
  "id": "string",
  "loyaltyProgramId": "string",
  "meta": {},
  "rejectReason": "string",
  "rejectedAt": "2024-01-15T09:30:00Z",
  "rewardAttributionId": "string",
  "status": "string",
  "updatedAt": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.reward.completeRedeemTransaction({
        pid: "pid",
        tid: "tid",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.reward.complete_redeem_transaction(
    pid="pid",
    tid="tid",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->reward->completeRedeemTransaction(
    'pid',
    'tid',
);

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/offer/programs/pid/rewards/redeem/tid/complete"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/offer/programs/pid/rewards/redeem/tid/complete")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/loyalty/offer/programs/pid/rewards/redeem/tid/complete")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/offer/programs/pid/rewards/redeem/tid/complete");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/offer/programs/pid/rewards/redeem/tid/complete")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```